/**
 * Facebook 登录请求
 * 
 */
import { z } from "zod";

export const FacebookLoginRequestSchema = z.object({
  accessToken: z.string(),
  platform: z.string(),
  guestId: z.string().default(""),
  isTestAccount: z.boolean().default(false),
});

export type FacebookLoginRequestInput = z.input<typeof FacebookLoginRequestSchema>;
export type FacebookLoginRequestData = z.output<typeof FacebookLoginRequestSchema>;
